Back to Weibo
TikHub·Weibo
Weibo Web V2: Search user posts
/api/v1/weibo/web_v2/search_user_postssync$0.0015 / callSearch for content containing specific keywords in a specified user's posts. (TikHub · Weibo Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| uid | string | yes | User ID |
| q | string | — | Search keyword (default "") |
| page | integer | — | Page number (default 1) |
| starttime | integer | — | Start timestamp (default 1772294400) |
| endtime | integer | — | End timestamp (default 1772294400) |
| hasori | integer | — | Include original posts, 1=include, 0=exclude (default 1) |
| hasret | integer | — | Include retweets, 1=include, 0=exclude (default 1) |
| hastext | integer | — | Include text posts, 1=include, 0=exclude (default 1) |
| haspic | integer | — | Include image posts, 1=include, 0=exclude (default 1) |
| hasvideo | integer | — | Include video posts, 1=include, 0=exclude (default 1) |
| hasmusic | integer | — | Include music posts, 1=include, 0=exclude (default 1) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/weibo/web_v2/search_user_posts","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.